# Assets

## Get assets

> Get assets

```json
{"openapi":"3.0.1","info":{"title":"TraditionalAssets","version":"1.0"},"tags":[{"name":"Assets","description":"Assets"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","refreshUrl":"","scopes":{}}}}},"schemas":{"TraditionalAssetTradingStatusEnum":{"title":"TraditionalAssetTradingStatusEnum","type":"string","description":"The status of the asset trading","enum":["ACTIVE","INACTIVE"]},"TraditionalAssetExchangeCodeEnum":{"title":"TraditionalAssetExchangeCodeEnum","type":"string","enum":["TGAT","XFRA"]},"TraditionalAssetTypeEnum":{"title":"TraditionalAssetTypeEnum","type":"string","description":"The type of the traditional asset","enum":["BOND","ETF","EQUITY","FUND","COMMODITY","DERIVATIVE","ETN","UNKNOWN"]},"Assets":{"title":"Assets","type":"object","properties":{"data":{"type":"array","description":"Array of assets.","items":{"$ref":"#/components/schemas/Asset"}},"pagination":{"$ref":"#/components/schemas/Pagination"}},"required":["data","pagination"]},"Asset":{"title":"Asset","type":"object","description":"Asset","properties":{"isin":{"type":"string","description":"ISIN of the asset"},"wkn":{"type":"string","description":"WKN of the asset"},"assetName":{"type":"string","description":"The name of the asset"},"assetType":{"$ref":"#/components/schemas/TraditionalAssetTypeEnum"},"assetRiskScore":{"$ref":"#/components/schemas/AssetRiskScoreEnum"},"fractionalTrading":{"type":"boolean","description":"Determines whether the platform can handle fractional investments within this asset."},"savingsPlan":{"type":"boolean","description":"Indicates whether the asset is eligible for savings plans."},"savingsPlanMinAmount":{"type":"number","description":"The minimum investment amount required for savings plan eligibility."},"totalExpenseRatio":{"type":"number","description":"The total expense ratio of the asset."},"exchanges":{"type":"array","description":"Array of asset exchanges.","items":{"$ref":"#/components/schemas/AssetExchange"}}},"required":["isin","wkn","assetName","assetType","assetRiskScore","fractionalTrading","savingsPlan","exchanges"]},"AssetRiskScoreEnum":{"title":"AssetRiskScoreEnum","description":"The risk classification of the asset","enum":["1","2","3"]},"AssetExchange":{"title":"AssetExchange","type":"object","description":"The exchange the asset is available for trading.","properties":{"exchangeCode":{"$ref":"#/components/schemas/TraditionalAssetExchangeCodeEnum"},"tradingStatus":{"$ref":"#/components/schemas/TraditionalAssetTradingStatusEnum"}},"required":["exchangeCode","tradingStatus"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]}}},"paths":{"/traditional/assets":{"get":{"summary":"Get assets","operationId":"get-assets","tags":["Assets"],"parameters":[{"schema":{"type":"string"},"in":"query","name":"cursor","description":"String value used for pagination"},{"schema":{"type":"integer","default":20,"minimum":1,"maximum":100},"in":"query","description":"Maximum number of items to return","name":"limit","required":true},{"schema":{"$ref":"#/components/schemas/TraditionalAssetTradingStatusEnum"},"in":"query","name":"tradingStatus","description":"Filters the list to only show assets with a certain status (e.g. only assets that can be currently traded)."},{"schema":{"$ref":"#/components/schemas/TraditionalAssetExchangeCodeEnum"},"in":"query","name":"exchangeCode","description":"Filters the list to only show assets with a certain exchange code (e.g. only assets that can be traded in a certain exchange)."},{"schema":{"type":"string"},"in":"query","name":"isin","description":"Filters the list to only show an asset with certain ISIN"},{"schema":{"$ref":"#/components/schemas/TraditionalAssetTypeEnum"},"in":"query","name":"assetType"},{"schema":{"type":"boolean"},"in":"query","name":"savingsPlan","description":"Filters the list to only show assets eligible for savings plans."}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Assets"}}}}},"description":"Get assets"}}}}
```

## Get exchanges

> Get exchanges

```json
{"openapi":"3.0.1","info":{"title":"TraditionalAssets","version":"1.0"},"tags":[{"name":"Assets","description":"Assets"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","refreshUrl":"","scopes":{}}}}},"schemas":{"Exchanges":{"title":"Exchanges","type":"object","properties":{"data":{"type":"array","description":"Array of exchanges.","items":{"$ref":"#/components/schemas/Exchange"}}}},"Exchange":{"title":"Exchange","type":"object","description":"Exchange","properties":{"exchangeName":{"type":"string","description":"The name of the exchange"},"exchangeCode":{"type":"string","description":"The MIC code of the exchange"}},"required":["exchangeName","exchangeCode"]}}},"paths":{"/traditional/exchanges":{"get":{"summary":"Get exchanges","operationId":"get-exchanges","tags":["Assets"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Exchanges"}}}}},"description":"Get exchanges"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tradevest.ai/api-reference/asset-management/trading/assets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
